Arcadia Analytics Engine (Arcengine) start-up issue with SSL in Arcadia 4.5.x

When upgrading from previous version of Arcadia to version 4.5.x, you may hit an error like this if you have SSL enabled for Arcadia Analytics Engine:

As of Arcadia Enterprise 4.5, we require that you also enable SSL for Arcadia State Store and Arcadia Catalog Server as well if you’ve enabled it for Arcadia Analytics Engine. To fix the above error, make sure you’ve enabled SSL on Arcadia Analytics Engine, Arcadia State Store, and Arcadia Catalog Server, and also make sure that your SSL key, pem file, and CA Cert has been generated properly and made available on server running either of these 3 services.

1 Like